/******************************************************************************
 *
 * Numerical Chameleon version 1.6.0 - conversion tool
 * Copyright (C) 2001-2004  Dipl.-Inf. (FH) Johann Nepomuk Loefflmann,
 * All Rights Reserved, http://www.jonelo.de
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * e-Mail: jonelo@jonelo.de
 *
 *****************************************************************************/
package jonelo.NumericalChameleon;
import javax.swing.*;
import java.awt.*;


public class SectionRecordCellRenderer extends JLabel implements ListCellRenderer {
    private static Color
    LILA = new Color(0x9999CC),
    GRAY = new Color(0xCCCCCC);

    public Component getListCellRendererComponent(
    JList list, Object value, int index,
    boolean isSelected, boolean cellHasFocus) {
        if (value!=null) {
        SectionRecord sr = (SectionRecord)value;
        setText(sr.getText());
        setIcon(sr.getIcon());
        setForeground(Color.black);
        setBackground(isSelected ?  LILA : GRAY);
        setOpaque(isSelected);
        }
        return this;
    }
}
